using e_suite.Database.Audit;
using eSuite.Core.Miscellaneous;
using Moq;
using NUnit.Framework;
using SigmaImporter.UnitTests.Helpers;

namespace SigmaImporter.UnitTests.GmgProfileImporter;

[TestFixture]
public class ImportGmgProfilesUnitTestsWithoutMySql : GmgProfileImporterTestBaseWithoutMySql
{
    [SetUp]
    public override async Task Setup()
    {
        await base.Setup();
    }

    [Test]
    public async Task WhenDatabaseServerIsEmpty_ThenDoesNothing()
    {
        //Arrange

        //Act
        await GmgProfileImporter.DoGmgProfileImport(AuditUserDetails);

        //Assert
        GlossariesManagerMock.Verify( x => x.GetGlossaryItem(It.IsAny<AuditUserDetails>(), It.IsAny<GeneralIdRef>(), It.IsAny<CancellationToken>()), Times.Never);
    }
}